QGIS Application - Bug report #16297

(macOS) layers imported into a Spatialite Database with DB manager are not recognized as spatial

tables
2017-03-06 10:04 AM - Giovanni Manghi

Status: Closed
Priority: High
Assignee:

Category: DB Manager

Affected QGIS version:2.18.2
Operating System: macOS
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 24207

Description

This has been seen on QGIS 2.18.4 on macOS. The same seems ok on other platforms.

It was also ok on macOS with 2.14.*

After importing a layer into a SL database within DB Manager (with d&d or by using the "import layer/file" tool) the resulting table is NOT

recognized as a spatial one.

Importing the same layer using the browser d&d produces the expected result.

History

#1 - 2017-04-30 05:06 PM - Giovanni Manghi
- Regression? set to Yes

#2 - 2017-04-30 05:09 PM - Giovanni Manghi
- Priority changed from Severe/Regression to High

#3 - 2017-05-01 01:10 AM - Giovanni Manghi
- Easy fix? set to No

#4 - 2017-05-12 07:35 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Description updated

Works as expected with 2.18.7 installed from brew on 10.12.4
